<?php
include("include/config.php");
include("include/protect.class.php");
include("include/functions.php");
$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);


if(isset($_GET['do'])){
	$action = $_GET['do'];
}
if($_GET['userID']){
	$userID=$_GET['userID'];
}else{
	$userID=0;	
}
switch($action){
    //-------------------------------------------------------------------------------	
	case 'insert_user':
		$error = false;
		$sql1 = $db->query("SELECT * FROM u_users WHERE userName = '".$db->safe_string($_POST['userName'])."'");
		$sql2 = $db->query("SELECT * FROM u_users WHERE email = '".$db->safe_string($_POST['email'])."'");
		if($_POST['parent_id']){
			$sql3 = $db->query("SELECT * FROM u_users WHERE ID = '".$db->safe_string($_POST['parent_id'])."' AND userGroup <> 1");
			$res3 = $db->fetchNextArray($sql3);
			if(!$db->numRows($sql3)){
				$error = true;
				$error3 = true;
			}
		}

		if($db->numRows($sql1)){
			$res1 = $db->fetchNextArray($sql1);
			$error = true;
			$error1 = true;
		}
		if($db->numRows($sql2)){
			$res2 = $db->fetchNextArray($sql2);
			$error = true;
			$error2 = true;
		}

		if($error == false){
			$typeUseFilde ='';
			for($i=1;$i<$_POST['countUse'];$i++){
				$typeUseFilde .= $_POST['filde_'.$i] .'|';
			}
			
			$db->execute("insert into u_users set ID = '',
														userName = '".$db->safe_string($_POST['userName'])."',
														userPass = '".md5($_POST['password'])."',
														email = '".$db->safe_string($_POST['email'])."',
														userGroup = '1',
														lastLog = '0',
														name = '".$db->safe_string($_POST['name'])."',
														lastName = '".$db->safe_string($_POST['lastName'])."',
														fatherName = '".$db->safe_string($_POST['fatherName'])."',
														numberNational = '".$db->safe_string($_POST['numberNational'])."',
														numberBirth = '".$db->safe_string($_POST['numberBirth'])."',
														zipCode = '".$db->safe_string($_POST['zipCode'])."',
														typeUseCat = '".$db->safe_string($_POST['typeUseCat'])."',
														typeUseSubcat = '".$db->safe_string($_POST['typeUseSubcat'])."',
														typeUseDescription = '".$db->safe_string($_POST['typeUseDescription'])."',
														typeUseFilde = '".$db->safe_string($typeUseFilde)."',
														productCat = '".$db->safe_string($_POST['productCat'])."',
														productCount = '".$db->safe_string($_POST['productCount'])."',
														province = '".$db->safe_string($_POST['province'])."',
														city = '".$db->safe_string($_POST['city'])."',
														tell = '".$db->safe_string($_POST['tell'])."',
														mobile = '".$db->safe_string($_POST['mobile'])."',
														parent_id = '".$res3['ID']."',
														date=now(),
														company = '".$db->safe_string($_POST['company'])."',
														website = '".$db->safe_string($_POST['website'])."',
														address = '".$db->safe_string($_POST['address'])."'
														");
					$userID = $db->lastInsertedId();
					$db->execute("INSERT INTO credit SET user_id = '".(int)$userID."', amount = '0', last_update = now()");
					$db->execute("INSERT INTO bank SET user_id = '".(int)$userID."', amount = '0', last_update = now()");
					$db->execute("INSERT INTO detaileusers2 SET userID = '".(int)$userID."'");
					$db->execute("INSERT INTO detaileusers3 SET userID = '".(int)$userID."'");
					
$message = 
'<table>
	<tr>
    	<td><div style="color: rgb(102, 102, 102); font-size: 12px; font-family: Tahoma;" align="right">کاربر گرامی : '.$_POST['userName'].' </div></td>
	</tr>
	<tr>
		<td><div style="color: rgb(102, 102, 102); font-size: 12px; font-family: Tahoma;" align="right">'.returnConfig('email_note_badaz_sabte_karbar').'</div></td>
	</tr>
	<tr>
		<td><div style="color: rgb(102, 102, 102); font-size: 12px; font-family: Tahoma;" align="right">از این که سایت '.$res_portal['title'].' را  برگزیده اید سپاسگزاریم. </div></td>
	</tr>
	<tr>
		<td><div style="color: rgb(102, 102, 102); font-size: 12px; font-family: Tahoma;" align="right">شما میتوانید با مراجعه به سایت <a href="'.$res_portal['linkPortal'].'" title="'.$res_portal['title'].'" target="_blank">www.chitasms.com</a> از خدمات سایت '.$res_portal['title'].' استفاده کنید. </div></td>
	</tr>
	<tr>
		<td><div style="color: rgb(102, 102, 102); font-size: 12px; font-family: Tahoma;" align="right">نام کاربری شما '.$_POST['username'].' و کلمه عبور شما '.$_POST['password'].' میباشد. </div></td>
  </tr>

	<tr>
		<td><div style="color: rgb(102, 102, 102); font-size: 12px; font-family: Tahoma;" align="left" dir="rtl">با تشکر  مدیریت سایت  '.$res_portal['title'].' </div></td>
	</tr>

</tbody>
	</table>';
			send_mail($userID, 'به سایت '.$res_portal['title'].' خوش آمدید', $message);
			//if(returnConfig('sms_state_register_karbar')==1 and $_POST['mobile']){
				//sendSms(returnConfig('linkSms'),returnConfig('userNameSms'),returnConfig('passSms'),returnConfig('sms_note_badaz_sabte_karbar'),$_POST['mobile']);	
				//smsInsert($userID,returnConfig('smsNumber'),$_POST['mobile'],returnConfig('sms_note_badaz_sabte_karbar'));
			//}	// 
		//header("location: newUsers.php");
		}
	break;
//------------------------------------------------------------------------------------------------------	
	case 'edit_user':
		if($_POST['edit']){
		$error = false;
		$error1 = false;
		$sql1 = $db->query("SELECT * FROM u_users WHERE userName = '".$db->safe_string($_POST['userName'])."' and ID <>'".(int)$_POST['userID']."'");
		$sql2 = $db->query("SELECT * FROM u_users WHERE email = '".$db->safe_string($_POST['email'])."' and ID <> '".$_POST['userID']."'");
		if($_POST['parent_id']){
			$sql3 = $db->query("SELECT * FROM u_users WHERE ID = '".$db->safe_string($_POST['parent_id'])."' AND userGroup <> 1 and ID <> '".$_POST['userID']."'");
			$res3 = $db->fetchNextArray($sql3);
			if(!$db->numRows($sql3)){
				$error = true;
				$error3 = true;
			}
		}

		if($db->numRows($sql1)){
			$res1 = $db->fetchNextArray($sql1);
			$error = true;
			$error1 = true;
		}
		if($db->numRows($sql2)){
			$res2 = $db->fetchNextArray($sql2);
			$error = true;
			$error2 = true;
		}

		if($error == false){
			$typeUseFilde ='';
			if(!$_POST['filde_1']){
				$typeUseFilde= $_POST['typeUseFilde'];
			}else{
				for($i=1;$i<$_POST['countUse'];$i++){
					$typeUseFilde .= $_POST['filde_'.$i] .'|';
				}
			}
			$db->execute("update u_users set
												userName = '".$db->safe_string($_POST['userName'])."',
												email = '".$db->safe_string($_POST['email'])."',
												name = '".$db->safe_string($_POST['name'])."',
												userGroup = '".$db->safe_string($_POST['group'])."',
												lastName = '".$db->safe_string($_POST['lastName'])."',
												fatherName = '".$db->safe_string($_POST['fatherName'])."',
												numberNational = '".$db->safe_string($_POST['numberNational'])."',
												numberBirth = '".$db->safe_string($_POST['numberBirth'])."',
												zipCode = '".$db->safe_string($_POST['zipCode'])."',
												typeUseCat = '".$db->safe_string($_POST['typeUseCat'])."',
												typeUseSubcat = '".$db->safe_string($_POST['typeUseSubcat'])."',
												typeUseDescription = '".$db->safe_string($_POST['typeUseDescription'])."',
												typeUseFilde = '".$db->safe_string($typeUseFilde)."',
												mobile = '".$db->safe_string($_POST['mobile'])."'
										
									
											
											where ID='".$_POST['userID']."'");
					if($_POST['password']){
							$db->execute("update u_users set	userPass = '".md5($_POST['password'])."' where ID='".$_POST['userID']."'");
					}
				}
		}
	break;
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>ثبت یا ویرایش کاربر </title>
<?php include("maintemplate/mainheader.php");?>
<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>
<script src="js/jquery.validationEngine-fa.js" type="text/javascript" charset="utf-8"></script>
<script src="js/jquery.validationEngine.js" type="text/javascript"></script>
<script type="text/javascript" src="./fancybox/jquery.fancybox-1.3.1.js"></script>
<script type="text/javascript" src="js/lang.js"></script>
<link rel="stylesheet" type="text/css" href="./fancybox/jquery.fancybox-1.3.1.css" media="screen" />
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css" media="screen" title="no title" charset="utf-8" />
<script type="text/javascript" charset="utf-8">
$(document).ready(function() {			
	$("#formID").validationEngine();
});
	function getTypeUseSubcat(nType,userID){
		$(document).ready(function() {
			switch (nType){
			case 1:
					var typeUseCat = $("#typeUseCat").val();
					$("#typeUseSubcat").html('<img src="images/loading.gif" width="12" />');
					$(document).ready(function (){
						$.ajax({
							type: "POST",
							url: "send_ajax_chitasoft.php?act=getTypeUseSubcat",
							dataType: "html",
							data: "kind=1&typeUseCat="+typeUseCat,
							success: function(data){
								$("#typeUseSubcat").html(data);
								$("#fildeTypeUseCat").html('');
							}
						});
					});
			break;
				
			case 2:
				var typeUseSubcat = $("#typeUseSubcat").val();
				$("#fildeTypeUseCat").html('<img src="images/loading.gif" width="12" />');
				var ajaxR = $.ajax({
					type: "POST",
					url: "send_ajax_chitasoft.php?act=getTypeUseSubcat",
					dataType: "html",
					data: "kind=2&typeUseSubcat="+typeUseSubcat+"&userID="+userID,
					success: function(data){
						$("#fildeTypeUseCat").html(data);
					}
				});
			break;				
			}
		});
	}
	function getCities (){
		var province = $("#province").val();
		$(document).ready(function (){
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=getCities",
				dataType: "html",
				data: "province="+province,
				success: function(data){
					$("#city").html(data);
				}
			});
		});
	}
</script>
</head>
<body>
<div id="wpwrap">
<div id="wpcontent">
	<?php  include("include/menutop.php");?> 
<div id="wpbody">
	<?php include("include/header.php");?>
    <div style="overflow:hidden;" id="wpbody-content">
        <div id="screen-meta">
            <div class="wrap">
                <div id="icon-index" class="icon32"><br></div>
                <h2>کاربر جدید</h2>
                <div id="dashboard-widgets-wrap">
                    <div id="dashboard-widgets" class="metabox-holder">
                        <div class="postbox-container" style="width:100%;">
                            <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                   			<div class="handlediv" title="برای جانشینی کلیک کنید"><br></div>
                   			<h3 class="hndle"><span>( فیلدهای ستاره دار اجباری می باشند) کاربر جدید</span></h3>
<?php
//echo $typeUseFilde . $_POST['countUse'];
	 	if($error == true){
		if(($error1 == true) && ($error2 == true)){
			echo debug_message('خطا: شما قبلا در این سایت ثبت نام كرده اید. برای ورود با نام كاربری و كلمه عبور خود از بخش ورود به سیستم استفاده كنید.<br /> و در صورت فراموشی كلمه عبور از بخش فراموشی كلمه عبور استفاده نمایید. ', 1, $width = false);;
		}elseif($error1 == true){
			echo debug_message('خطا: نام كاربری مورد نظر تكراری می باشد. از نامی دیگر استفاده كنید.<br />  ', 1, $width = false);;
		}elseif($error2 == true){
			echo debug_message('خطا: ایمیل وارد شده تكراری می باشد. در صورتیكه قبلا عضو سیستم شده اید برای ورود از بخش ورود به سیستم استفاده كنید.<br /> و در صورت فراموشی كلمه عبور از بخش فراموشی كلمه عبور استفاده نمایید.', 1, $width = false);;
		
		}elseif($error3 == true){
			echo debug_message('لطفا با بخش پشتیبانی تماس بگیرید ،  کد نماینده وارد شده در سیستم وجود ندارد ', 1, $width = false);;
		}
	}elseif($_POST['Insert']){
		echo debug_message(returnConfig('email_note_badaz_sabte_karbar'), 2, $width = false);		
	}elseif($_POST['edite_user']==1){
		echo debug_message('ویرایش با موفقیت انجام شد', 2, $width = false);		
	}


switch($action){
    //-------------------------------------------------------------------------------------	
    	default :
		$sql2=$db->query("select * from  u_users where ID='".$_GET['userID']."'");
		$res2=$db->fetchNextArray($sql2);
		$num=$db->numRows($sql2);
		if($num){
			$act='userID='.$_GET['userID'].'&do=edit_user';
		?>
     <form action="newUsers.php?<?=$act?>" method="post" name="formID" id="formID">
  	 <table  class="table_insert" cellpadding="3" cellspacing="3" width="100%" align="center" >  
        <tr>
            <td class="td_d_lable"> نام  : <font color="red">*</font></td>
            <td class="td_d">
            <input type="text" lang="fa" class="validate[required,length[0,50]] inp_text" name="name" id="name" value="<?=$res2['name']?>"  /></td>
        </tr>
        
        <tr>
            <td class="td_d_lable">نام خانوادگی : <font color="red">*</font></td>
            <td class="td_d"><input lang="fa" type="text" class="validate[required,length[0,50]] inp_text" name="lastName" id="lastName" value="<?=$res2['lastName']?>"  /></td>
        </tr>
        
        <tr>
            <td class="td_d_lable">موبایل : <font color="red">*</font></td>
            <td class="td_d"><input type="text" name="mobile" id="mobile" maxlength="12" class="validate[required,custom[telephone]] text-input inp_text" value="<?=$res2['mobile']?>"  /></td>
        </tr>         
                          
                 
        <tr>
            <td class="td_d_lable">ایمیل : <font color="red">*</font></td>
            <td class="td_d"><input type="text" class="validate[required,custom[email]] text-input inp_text"   name="email" id="email" value="<?=$res2['email']?>"  /> </td>
        </tr>                 
              
        <tr>
            <td class="td_d_lable">نام کاربری : <font color="red">*</font></td>
            <td class="td_d"><input type="text" class="validate[required,length[6,20]] text-input inp_text" name="userName" id="userName" value="<?=$res2['userName']?>"  /> </td>
        </tr>
        <tr>
            <td class="td_d_lable">گروه کاربری: <font color="red">*</font></td>
            <td class="td_d"><select id="group" name="group">
            <option value="5">غیر فعال</option>
		<?php 
	$estores = $db->query("select * from  u_groups");

		while($stores = $db->fetchNextArray($estores)){
			
			if ($res2['userGroup']==$stores['groupsID']){$checkresf='selected="selected"';}else{$checkresf='';}	
	?>
    
	<option value="<?php echo $stores['groupsID'];?>" <?php echo $checkresf;?> ><?php echo $stores['groupName'];?></option>
    <?php } ?>
    
</select></td>
        </tr> 
        <tr>
            <td class="td_d_lable">سامانه اس ام اس: <font color="red">*</font></td>
            <td class="td_d"><select id="smsconfig" name="smsconfig">

	<?php 
	if ($res2['user_sms_config']=='1'){$checkyes='selected="selected"';}else{$checkno='selected="selected"';}
	?>
	<option value="0" <?php echo $checkno;?>> غیر فعال </option>
	<option value="1" <?php echo $checkyes;?> > فعال </option>
    
</select></td>
        </tr>             
         <tr>
         <td colspan="2">
         	اگر مایل به تغییر رمز می باشید فیلد رمز را تکمیل نمایید در غیر این صورت آن را خالی بگذارید .
         </td>
         </tr>      
        <tr>
            <td class="td_d_lable">رمز ورود : </td>
            <td class="td_d"><input type="text"  name="password" id="password" /> </td>
        </tr>    
        

         <tr>
            <td colspan="2" align="right">
            <?php
			if(!$num){
              echo '<input type="submit" name="Insert" value="ذخیره کاربر" />';
			}else{
				 echo ' <input type="submit" name="edit" value="ویرایش کاربر" />
				 		<input type="hidden" name="edite_user" value="1">
				 		<input type="hidden" name="userID" value="'.$res2['ID'].'">';
			}
			?>
              </td>
        </tr>
        </table>        
        </form>
        <?php	
		}else{
			$act='do=insert_user';
		
	?>
   <form action="newUsers.php?<?=$act?>" method="post" name="formID" id="formID">
  	 <table  class="table_insert" cellpadding="3" cellspacing="3" width="100%" align="center" >  
        <tr>
            <td class="td_d_lable"> کد نماینده  :</td>
            <td class="td_d">
            <input type="text" name="parent_id" id="parent_id" value="<?=$_POST['parent_id']?>"  /> </td>
        </tr>     
       
        <tr>
            <td class="td_d_lable"> نام  : <font color="red">*</font></td>
            <td class="td_d">
            <input type="text" lang="fa" class="validate[required,length[0,50]] inp_text" name="name" id="name" value="<?=$_POST['name']?>"  /></td>
        </tr>
        
        <tr>
            <td class="td_d_lable">نام خانوادگی : <font color="red">*</font></td>
            <td class="td_d"><input lang="fa" type="text" class="validate[required,length[0,50]] inp_text" name="lastName" id="lastName" value="<?=$_POST['lastName']?>"  /></td>
        </tr>

           
        <tr>
            <td class="td_d_lable">تلفن :</td>
            <td class="td_d"><input type="text" name="tell" id="tell" value="<?=$_POST['tell']?>"  /></td>
        </tr> 
        <tr>
            <td class="td_d_lable">موبایل : <font color="red">*</font></td>
            <td class="td_d"><input type="text" name="mobile" id="mobile" class="validate[required,custom[telephone]] text-input inp_text" maxlength="12" value="<?=$_POST['mobile']?>"  /></td>
        </tr>         
        <tr>
            <td class="td_d_lable">آدرس : <font color="red">*</font></td>
            <td class="td_d"><textarea name="address" id="address" lang="fa" class="validate[required,length[0,150]] inp_text" ><?=$_POST['address']?> </textarea></td>
        </tr>                 
                        
                   
        <tr>
            <td class="td_d_lable">استان و شهر : <font color="red">*</font></td><td class="td_d">
						<select name="province" id="province" style="width: 120px; vertical-align: top;" onchange="getCities();" class="validate[required] text-input inp_text">
							<option value="">استان …</option>
							<?php
							$sql=$db->query("select * from province");
							while($res=$db->fetchNextArray($sql)){
								echo '<option value="'.$res['ProvinceID'].'">'.$res['ProvinceName'].'</option>';
							}
							?>	
						</select>
						<select name="city" id="city"  style="width: 200px;" class="validate[required] text-input inp_text">
							<option>شهر ...</option>
						</select>          
            </td>
        </tr>                   
                 
        <tr>
            <td class="td_d_lable">ایمیل : <font color="red">*</font></td>
            <td class="td_d"><input type="text" class="validate[required,custom[email]] text-input inp_text"   name="email" id="email" value="<?=$_POST['email']?>"  /> </td>
        </tr>                 
              
        <tr>
            <td class="td_d_lable">نام کاربری : <font color="red">*</font></td>
            <td class="td_d"><input type="text" class="validate[required,length[6,20]] text-input inp_text" name="userName" id="userName" value="<?=$_POST['userName']?>"  /> </td>
        </tr>              
               
        <tr>
            <td class="td_d_lable">رمز ورود : <font color="red">*</font></td>
            <td class="td_d"><input type="password" class="validate[required,length[6,11]] text-input inp_text" name="password" id="password" /> </td>
        </tr>    
        
        <tr>
            <td class="td_d_lable">تکرار رمز ورود : <font color="red">*</font></td>
            <td class="td_d"><input type="password" class="validate[required,confirm[password]] text-input inp_text" name="confirm" id="confirm"  /> </td>
        </tr>

         <tr>
            <td colspan="2" align="right">
            <?php
			if(!$num){
              echo '<input type="submit" name="Insert" value="ذخیره کاربر" />';
			}else{
				 echo '<input type="submit" name="edit" value="ویرایش کاربر" /><input type="hidden" name="id" value="'.$res2['groupsID'].'">';
			}
			?>
              </td>
        </tr>
        </table>        
        </form>	
<?php	
	}
	break;
//-------------------------------------------------------------------------------------	
}
?>
                            </div>
                            </div>
                        </div>                        
                    </div>
                    <div class="clear"></div>
                </div><!-- dashboard-widgets-wrap -->
            </div><!-- wrap -->
			<div class="clear"></div></div><!-- wpbody-content -->
			<div class="clear"></div></div><!-- wpbody -->
			<div class="clear"></div></div><!-- wpcontent -->
        </div>
    </div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php include("include/footer.php");?>
</div>
</div>
</body>
</html><?php } ?>